cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-sensors8 ${gz-sensors_FIND_VERSION} REQUIRED COMPONENTS ${gz-sensors_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-sensors::gz-sensors ALIAS gz-sensors8::gz-sensors8)
add_library(gz-sensors::core ALIAS gz-sensors8::gz-sensors8)

# Retrieve the list of components
get_target_property(components gz-sensors8::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-sensors8::gz-sensors8)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-sensors8::gz-sensors8-" "" component_name ${component})
  add_library(gz-sensors::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-sensors ALIAS gz-sensors8::gz-sensors8)
